{% extends 'base.html.twig' %}
{% block title %}
<title>{{ vehicle.title }} - Sayara .tn </title>
{% endblock %}
{% block stylesheets %}
<style>
    .userImg{
        padding: 3px;
        margin-bottom: 12px;
        width: 120px;
    }
    .row{
        color : #333;
    }
</style>

<link href="{{ asset("assets/plugins/bxslider/jquery.bxslider.css") }}" rel="stylesheet"/>
{% endblock %}

{% block body %}
{% include "_header.html.twig" %}
<div class="main-container">
<div class="container">
<ol class="breadcrumb pull-left">
    <li><a href="/"><i class="icon-home fa"></i></a></li>
    <li><a href="#">Voitures</a></li>
    <li><a href="#">{{ vehicle.title }}</a></li>

</ol>
<div class="pull-right backtolist"><a href="#">
</div>
<div class="container">
<div class="row">
    <div class="col-sm-9 page-content col-thin-right">
        <div class="inner inner-box ads-details-wrapper">

            <h1 class="auto-heading">
                <span class="auto-title left">{{ vehicle.title }} </span>
                <span class="auto-price pull-right"> {{ vehicle.price  }} DT</span></h1>
            <div style="clear:both;"></div>
            <span class="info-row"> <span class="date"><i
                            class=" icon-clock"> </i> <strong>Crée le </strong>:{{ vehicle.createdAt|date('d-M-Y') }}
                    , {{ vehicle.createdAt|date('H:i') }}</span> -
                <span class="category">{% if vehicle.type == 1 %} Moto {% elseif vehicle.type == 2 %} √oitures {% endif %}</span>-
                <span class="item-location"><i class="fa fa-map-marker"></i>{{ vehicle.user.address.city }} </span> </span>
            <div class="row ">

                <div class="col-sm-9 automobile-left-col">
                    <div class="ads-image">
                        <ul class="bxslider">
                                    {% if photos is not null %}
                                        {% for photo in photos %}
                                    <li >

                                            <img src="{{ asset('uploads/applications/'~photo.name) }}" alt="img" width="550" height="373"/>
                                    </li>

                                        {% endfor %}


                                    {% else %}
                                        <li ></li>  <li ></li>
                                    {% endif %}

                         </ul>
                        <div id="bx-pager">
                            {% if photos is not null %}
                                {% for photo in photos %}
                                <a class="thumb-item-link active" data-slide-index="{{ loop.index0 }}" href="">
                                    <img src="{{ asset('uploads/applications/'~photo.name) }}" alt="img">
                                </a>

                                {% endfor %}
                            {% else %}qsd
                                <li ></li>  <li ></li>
                            {% endif %}
                        </div>
                    </div>

                </div>
                <div class="col-sm-3 automobile-right-col">
                    <div class="inner">
                        <div class="key-features">
                            <div class="media">
                                <div class="media-body">
                                    <span class="data-type">Kilométrage</span>
                                    <span class="media-heading"> {{ vehicle.mileage }} km</span>
                                </div>
                            </div>
                            <div class="media">
                                <div class="media-body">
                                    <span class="data-type">Age </span>
                                    <span class="media-heading">{{ vehicle.year }}</span>
                                </div>
                            </div>
                            <div class="media">
                                <div class="media-body">
                                    <span class="data-type">Date de Mise En Circulation</span>
                                    <span class="media-heading">{{ vehicle.dateOfCirculation | date('d-M-Y') }}</span>
                                </div>
                            </div>
                            <div class="media">
                                <div class="media-body">

                                    <span class="data-type">TYPE</span>
                                    {% if vehicle.type == 2 %}
                                    <span class="media-heading">Voiture</span>
                                    {% elseif vehicle.type == 1 %}
                                        <span class="media-heading">Moto</span>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="Ads-Details">
                <h5 class="list-title"><strong>Description</strong></h5>
                <div class="row">
                    <div class="ads-details-info col-md-8">
                        <p>
                            {{ vehicle.description }}
                        </p><h4 class="text-uppercase">Caractéristiques</h4>
                        <ul class="list-circle">
                            <li><strong> Marque - modèle: </strong>{{ vehicle.marque }} - {{ vehicle.modele }}</li>
                            <li><strong>Energie: </strong>{{ vehicle.power }}</li>
                            <li><strong>Puissance: </strong> {{ vehicle.puissance }}</li>
                            <li><strong>Nombre de cylindres </strong> {{ vehicle.nbCylindre }}</li>
                            <li><strong>Boite vitesse </strong> {{ vehicle.typeBoite }}</li>
                            <li><strong>Nombre de places</strong> {{ vehicle.nbSit }}</li>
                            {% if vehicle.nbDoor is not empty %}
                            <li><strong>Nombre de portes </strong> {{ vehicle.nbDoor }}</li>
                            {% endif %}
                            {% if vehicle.color is not empty  %}
                                <li><strong>Couleur </strong> {{ vehicle.color }}</li>
                            {% endif %}

                        </ul>

                            {% if vehicle.weight is not empty %}
                        <h4 class="text-uppercase">DIMENSIONS</h4>
                        <ul class="list-circle">
                            <li><strong>Poids:</strong> {{ vehicle.weight }} Kg</li>
                        </ul>
                            {% endif %}
                    </div>
                    <div class="col-md-4">
                        <aside class="panel panel-body panel-details">
                            <ul>
                                <li>
                                    <p class=" no-margin "><strong>Prix:</strong> {{ vehicle.price }} DT</p>
                                </li>
                                <li>
                                    <p class="no-margin"><strong>Type:</strong>
                                        {% if vehicle.type == 2 %}
                                            Voiture
                                        {% elseif vehicle.type == 1 %}
                                            Moto
                                        {% endif %}</p>
                                </li>
                                <li>
                                    <p class="no-margin"><strong>Address:</strong> {{ vehicle.user.address.city }} </p>
                                </li>
                                <li>
                                    <p class=" no-margin "><strong>Condition:</strong>
                                        {% if vehicle.state == 1%}
                                            Nouveau
                                        {% else %}
                                            Occasion
                                        {% endif %}  </p>
                                </li>
                                <li>
                                    <p class="no-margin"><strong>Marque:</strong> {{ vehicle.marque }}</p>
                                </li>
                            </ul>
                        </aside>
                        <!--<div class="ads-action">
                            <ul class="list-border">
                                <li><a href="#"> <i class=" fa fa-heart"></i> J'aime </a></li>
                                <li><a href="#"> <i class="fa fa-share-alt"></i> Partager </a></li>
                                <li><a href="#reportAdvertiser" data-toggle="modal"> <i
                                                class="fa icon-info-circled-alt"></i> Report abuse </a></li>
                            </ul>
                        </div>-->
                    </div>
                </div>
                <div class="content-footer text-left"  style="margin-left : 20px">
                    <a class="btn  btn-default" data-toggle="modal" >
                        <i class=" icon-mail-2"></i> {{ vehicle.user.email }} </a>
                    {% if vehicle.user.visiblePhone %}
                    <a class="btn  btn-info">
                        <i class=" icon-phone-1"></i> {{ vehicle.user.phone }}
                    </a>
                    {% endif %}
                </div>
            </div>
        </div>

    </div>

    <div class="col-sm-3  page-sidebar-right">
        <aside>
            <div class="panel sidebar-panel panel-contact-seller">
            <div class="panel-heading" style="text-align: center">Annonceur</div>
                <div class="panel-content user-info">
                    <div class="panel-body text-center">
                        <div class="seller-info">
                            <div class="company-logo-thumb">
                                {% if  vehicle.user.photo is not null %}
                                    <a href=""><img class="userImg" src="{{ asset('uploads/photos/'~ vehicle.user.photo.path) }}" alt="user">
                                        </a>
                                {% else %}
                                    <a href=""><img class="userImg" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" alt="user">
                                        </a>
                                {% endif %}
                            </div>
                            <h4 class="no-margin"> {{ vehicle.user.firstname | title }} {{ vehicle.user.lastname | title}}</h4>
                            <p>Location: <strong>{{ vehicle.user.address.street }} - {{ vehicle.user.address.city }}</strong></p>

                        </div>
                        <div class="">
                            {#<a href="#" data-toggle="modal" class="btn   btn-danger btn-block"><i class=" icon-link"></i> Plus d'info ! </a>#}
                            {% if app.user is not null and app.user.id ==  vehicle.user.id %}
                                <a href="{{ path('application_edit', {id : vehicle.id, type : vehicle.type}) }}" class="btn btn-warning" style="font-size: 12px" >Modifier l'annonce</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel sidebar-panel">
                <div class="panel-heading">Conseils de sécurité pour les acheteurs</div>
                <div class="panel-content">
                    <div class="panel-body text-left">

                        <ul class="list-check">
                            <li> Rencontrer le vendeur dans un lieu public</li>
                            <li> Vérifiez l'élément avant d'acheter</li>
                            <li> Payer uniquement après avoir collecté l'élement</li>
                        </ul>
                    </div>
                </div>
            </div>

        </aside>
    </div>

</div>
</div>
</div>

{# form for sending user request #}
<div class="modal fade" id="reportAdvertiser" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title"><i class="fa icon-info-circled-alt"></i> There's something wrong with this ads?
        </h4>
    </div>
    <div class="modal-body">
        <form role="form">
            <div class="form-group">
                <label for="report-reason" class="control-label">Reason:</label>
                <select name="report-reason" id="report-reason" class="form-control">
                    <option value="">Select a reason</option>
                    <option value="soldUnavailable">Item unavailable</option>
                    <option value="fraud">Fraud</option>
                    <option value="duplicate">Duplicate</option>
                    <option value="spam">Spam</option>
                    <option value="wrongCategory">Wrong category</option>
                    <option value="other">Other</option>
                </select>
            </div>
            <div class="form-group">
                <label for="recipient-email" class="control-label">Your E-mail:</label>
                <input type="text" name="email" maxlength="60" class="form-control" id="recipient-email">
            </div>
            <div class="form-group">
                <label for="message-text2" class="control-label">Message <span class="text-count">(300) </span>:</label>
                <textarea class="form-control" id="message-text2"></textarea>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-primary">Send Report</button>
    </div>
</div>
</div>
</div>
<div class="modal fade" id="contactAdvertiser" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title"><i class=" icon-mail-2"></i> Contact advertiser </h4>
    </div>
    <div class="modal-body">
        <form role="form">
            <div class="form-group">
                <label for="recipient-name" class="control-label">Name:</label>
                <input class="form-control required" id="recipient-name" placeholder="Your name" data-placement="top" data-trigger="manual" data-content="Must be at least 3 characters long, and must only contain letters." type="text">
            </div>
            <div class="form-group">
                <label for="sender-email" class="control-label">E-mail:</label>
                <input id="sender-email" type="text" data-content="Must be a valid e-mail address (user@gmail.com)" data-trigger="manual" data-placement="top" placeholder="email@you.com" class="form-control email">
            </div>
            <div class="form-group">
                <label for="recipient-Phone-Number" class="control-label">Phone Number:</label>
                <input type="text" maxlength="60" class="form-control" id="recipient-Phone-Number">
            </div>
            <div class="form-group">
                <label for="message-text" class="control-label">Message <span class="text-count">(300) </span>:</label>
                <textarea class="form-control" id="message-text" placeholder="Your message here.." data-placement="top" data-trigger="manual"></textarea>
            </div>
            <div class="form-group">
                <p class="help-block pull-left text-danger hide" id="form-error">&nbsp; The form is not
                    valid. </p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-success pull-right">Send message!</button>
    </div>
</div>
</div>
</div>
{% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}

<script>
$('.bxslider').bxSlider({
pagerCustom: '#bx-pager',
adaptiveHeight: true
});

</script>
{% endblock %}

